# $Revision: 1.22 $, $Date: 2011/03/31 18:11:25 $
%define 	modulename pam_mysql
%define		subver	RC1
%define		rel		3
Summary:	PAM module for auth UNIX users using MySQL data base
Summary(pl.UTF-8):	moduł PAM uwierzytelniający użytkowników Linuksa poprzez bazę danych MySQL
Name:		pam-%{modulename}
Version:	0.7
Release:	0.%{subver}.%{rel}
Epoch:		0
License:	GPL
Group:		Base
Source0:	http://dl.sourceforge.net/pam-mysql/%{modulename}-%{version}%{subver}.tar.gz
# Source0-md5:	6177183d7e98dc12f2e444c9fbd4f13c
Patch0:		ac.patch
URL:		http://sourceforge.net/projects/pam-mysql/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Obsoletes:	pam_mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	/%{_lib}

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%description -l pl.UTF-8
Moduł PAM pozwalający na uwierzytelnianie użytkowników Linuksa poprzez
bazę danych MySQL.

%prep
%setup -q -n %{modulename}-%{version}%{subver}
%patch0 -p1
%{__sed} -i -e 's/sinclude(.*)//' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-mysql=/usr/bin/mysql_config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install	\
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/security/pam_mysql.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog INSTALL NEWS README
%attr(755,root,root) %{_libdir}/security/pam_mysql.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_mysql.spec,v $
Revision 1.22  2011/03/31 18:11:25  arekm
- release 3

Revision 1.21  2009/08/30 06:52:01  glen
- build fixes; rel 2

Revision 1.20  2008/02/01 17:22:05  qboosh
- don't try to override optflags in CFLAGS; includes should be specified in CPPFLAGS
- ac version

Revision 1.19  2008-01-31 22:34:32  darekr
- use mysql_config --cflags instead of -header patch (danke glen!:@)

Revision 1.18  2008-01-31 21:45:12  darekr
- fix build - added -header patch

Revision 1.17  2007-02-13 07:16:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.15  2006/06/15 17:23:03  glen
- correct last changelog

Revision 1.14  2006/06/15 17:22:22  glen
- 0.7RC1 (Possible segmentation fault in the SQL logging facility, which can cause
  Denial-of-Service (DoS)

Revision 1.13  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.12  2005/10/30 11:58:59  arekm
- correct location; rel 3

Revision 1.11  2005/10/27 17:47:23  arekm
- rel 2

Revision 1.10  2005/08/23 11:19:01  kosmo
- updated to 0.6.0

Revision 1.9  2005/02/19 08:07:11  ankry
- rel. 4

Revision 1.8  2004/08/19 00:28:28  undefine
- release 3

Revision 1.7  2004/07/29 20:47:35  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.6  2003/11/25 19:11:05  qboosh
- copied some original CFLAGS from Makefile (fixes build on alpha)
- no macro in Obsoletes - it should obsolete old package even if modulename changes
- release 2

Revision 1.5  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.4  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.3  2003/11/25 14:12:43  siefca
- naming fixes in setup sections

Revision 1.2  2003/11/25 14:08:28  siefca
- fixes in sources' names

Revision 1.1  2003/11/25 13:40:21  siefca
- leaded common naming conventions for PAM module packages

Revision 1.18  2003/06/05 10:06:02  misi3k
- updated to 0.5

Revision 1.17  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.14  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.13  2002/11/17 11:49:59  kloczek
- release 3: use new %doc.

Revision 1.12  2002/07/03 09:24:05  wolf
- spelling

Revision 1.11  2002/04/10 20:04:10  kloczek
- release 2: pass CC="%{__cc}" to make parameters and change Group to Base.

Revision 1.10  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/02 23:55:42  ankry
- adding es/pt_BR Group translations

Revision 1.7  2002/01/18 02:14:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/07/16 13:38:59  grzegorz
- removed %{__*} rpm macros

Revision 1.5  2001/07/12 11:20:28  kloczek
- simplification in %insstall (but now correctly written :).

Revision 1.4  2001/07/12 10:58:38  grzegorz
- correct %install

Revision 1.3  2001/07/12 10:47:09  kloczek
- added pam-devel to BuildRequires.

Revision 1.2  2001/07/12 10:37:15  kloczek
- cosmetics.

Revision 1.1  2001/07/11 14:26:54  grzegorz
- initial SPEC
